lewd_noita_perks = {
	{
		id = "LN_CHARMER",
		ui_name = "$perk_ln_charmer",
		ui_description = "$perkdesc_ln_charmer",
		ui_icon = "mods/lewd_noita/files/perks/charmer_icon.png",
		perk_icon = "mods/lewd_noita/files/perks/charmer.png",
		usable_by_enemies = false,
		not_in_default_perk_pool = false,
		stackable = false,
	},
	{
		id = "LN_CUM_ADDICTION",
		ui_name = "$perk_ln_cum_addiction",
		ui_description = "$perkdesc_ln_cum_addiction",
		ui_icon = "mods/lewd_noita/files/perks/cum_addiction_icon.png",
		perk_icon = "mods/lewd_noita/files/perks/cum_addiction.png",
		usable_by_enemies = false,
		not_in_default_perk_pool = false,
		stackable = false,
		func = function(entity_perk_item, entity_who_picked, item_name)
			-- remove slowing effect if it was present
			for _, ch in ipairs(EntityGetAllChildren(entity_who_picked) or {}) do
				if EntityGetName(ch) == "ln_cum_leaking" and EntityGetFirstComponent(ch, "GameEffectComponent") ~= nil then
					EntityRemoveComponent(ch, EntityGetFirstComponent(ch, "GameEffectComponent"))
					break
				end
			end

			EntityAddComponent2(entity_who_picked, "LuaComponent", {
				script_source_file="mods/lewd_noita/files/perks/cum_addiction.lua",
				execute_every_n_frame=60,
			})
		end,
		func_remove = function(entity_who_picked)
			for _, comp in ipairs(EntityGetComponent(entity_who_picked, "LuaComponent")) do
				if ComponentGetValue2(comp, "script_source_file") == "mods/lewd_noita/files/perks/cum_addiction.lua" then
					EntityRemoveComponent(entity_who_picked, comp)
				end
			end
		end,
	},
	{
		id = "LN_NYMPHOMANIA",
		ui_name = "$perk_ln_nymphomania",
		ui_description = "$perkdesc_ln_nymphomania",
		ui_icon = "mods/lewd_noita/files/perks/nymphomania_icon.png",
		perk_icon = "mods/lewd_noita/files/perks/nymphomania.png",
		usable_by_enemies = false,
		not_in_default_perk_pool = false,
		stackable = false,
	},
	{
		id = "LN_SEXFURY",
		ui_name = "$perk_ln_sexfury",
		ui_description = "$perkdesc_ln_sexfury",
		ui_icon = "mods/lewd_noita/files/perks/sexfury_icon.png",
		perk_icon = "mods/lewd_noita/files/perks/sexfury.png",
		usable_by_enemies = false,
		not_in_default_perk_pool = false,
		stackable = false,
	},
	{
		id = "LN_SUCCUBUS",
		ui_name = "$perk_ln_succubus",
		ui_description = "$perkdesc_ln_succubus",
		ui_icon = "mods/lewd_noita/files/perks/succubus_icon.png",
		perk_icon = "mods/lewd_noita/files/perks/succubus.png",
		usable_by_enemies = false,
		not_in_default_perk_pool = false,
		stackable = false,
		func = function(entity_perk_item, entity_who_picked, item_name)
			add_halo_level(entity_who_picked, -1)
		end,
	},
	{
		id = "LN_WHORE",
		ui_name = "$perk_ln_whore",
		ui_description = "$perkdesc_ln_whore",
		ui_icon = "mods/lewd_noita/files/perks/whore_icon.png",
		perk_icon = "mods/lewd_noita/files/perks/whore.png",
		usable_by_enemies = false,
		not_in_default_perk_pool = false,
		stackable = false,
		func = function(entity_perk_item, entity_who_picked, item_name)
			GameAddFlagRun("ln_whore_flag")
		end,
		func_remove = function(entity_who_picked)
			GameRemoveFlagRun("ln_whore_flag")
		end,
	},
}

for _, perk in ipairs(lewd_noita_perks) do
	table.insert(perk_list, perk)
end